package com.liquidnet.service.example.service.impl;

import com.liquidnet.service.example.entity.GeneratorIdExampleEntity;
import com.liquidnet.service.example.mapper.GeneratorIdExampleEntityMapper;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;


@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest
public class GeneratorIdTest {

    @Autowired
    GeneratorIdExampleEntityMapper generatorIdExampleEntityMapper;

    @Test
    public void insert() {
        GeneratorIdExampleEntity entity = new GeneratorIdExampleEntity();
        entity.setAge(12);
        entity.setEmail("aaa@bbb.ccc");
        entity.setName("test");

        generatorIdExampleEntityMapper.insert(entity);

    }
}
